Irrlicht Engine: irr::video::SExposedVideoData Struct Reference

Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::video::SExposedVideoData Struct Reference

structure for holding data describing a driver and operating system specific data. More...

`#include <SExposedVideoData.h>`

List of all members.

## Public Member Functions
| SExposedVideoData (void *Window)
| SExposedVideoData ()
## Public Attributes
union {
struct {
IDirect3D8 * D3D8
| Pointer to the IDirect3D8 interface.
IDirect3DDevice8 * D3DDev8
| Pointer to the IDirect3D8 interface.
void * HWnd
| Window handle.
} D3D8
struct {
IDirect3D9 * D3D9
| Pointer to the IDirect3D9 interface.
IDirect3DDevice9 * D3DDev9
| Pointer to the IDirect3D9 interface.
void * HWnd
| Window handle.
} D3D9
struct {
void * X11Context
void * X11Display
unsigned long X11Window
} OpenGLLinux
struct {
void * HDc
| Private GDI Device Context.
void * HRc
| Permanent Rendering Context.
void * HWnd
| Window handle.
} OpenGLWin32
}; |

## Detailed Description

structure for holding data describing a driver and operating system specific data.

This data can be retrived by IVideoDriver::getExposedVideoData(). Use this with caution. This only should be used to make it possible to extend the engine easily without modification of its source. Note that this structure does not contain any valid data, if you are using the software or the null device.

Definition at line 25 of file SExposedVideoData.h.

## Constructor & Destructor Documentation

irr::video::SExposedVideoData::SExposedVideoData | ( |  | ) | `[inline]`

Definition at line 27 of file SExposedVideoData.h.

References OpenGLWin32.

irr::video::SExposedVideoData::SExposedVideoData | ( | void * | Window | ) | `[inline, explicit]`

Definition at line 28 of file SExposedVideoData.h.

References OpenGLWin32.

## Member Data Documentation

union { ... }

struct { ... } irr::video::SExposedVideoData::D3D8

IDirect3D8* irr::video::SExposedVideoData::D3D8

Pointer to the IDirect3D8 interface.

Definition at line 49 of file SExposedVideoData.h.

struct { ... } irr::video::SExposedVideoData::D3D9

IDirect3D9* irr::video::SExposedVideoData::D3D9

Pointer to the IDirect3D9 interface.

Definition at line 35 of file SExposedVideoData.h.

IDirect3DDevice8* irr::video::SExposedVideoData::D3DDev8

Pointer to the IDirect3D8 interface.

Definition at line 52 of file SExposedVideoData.h.

IDirect3DDevice9* irr::video::SExposedVideoData::D3DDev9

Pointer to the IDirect3D9 interface.

Definition at line 38 of file SExposedVideoData.h.

void* irr::video::SExposedVideoData::HDc

Private GDI Device Context.

Get if for example with: HDC h = reinterpret_cast<HDC>(exposedData.OpenGLWin32.HDc)

Definition at line 64 of file SExposedVideoData.h.

void* irr::video::SExposedVideoData::HRc

Permanent Rendering Context.

Get if for example with: HGLRC h = reinterpret_cast<HGLRC>(exposedData.OpenGLWin32.HRc)

Definition at line 68 of file SExposedVideoData.h.

void* irr::video::SExposedVideoData::HWnd

Window handle.

Get with for example HWND h = reinterpret_cast<HWND>(exposedData.D3D9.HWnd)

Get with for example with: HWND h = reinterpret_cast<HWND>(exposedData.D3D8.HWnd)

Get with for example with: HWND h = reinterpret_cast<HWND>(exposedData.OpenGLWin32.HWnd)

Definition at line 42 of file SExposedVideoData.h.

struct { ... } irr::video::SExposedVideoData::OpenGLLinux

struct { ... } irr::video::SExposedVideoData::OpenGLWin32

Referenced by SExposedVideoData().

void* irr::video::SExposedVideoData::X11Context

Definition at line 79 of file SExposedVideoData.h.

void* irr::video::SExposedVideoData::X11Display

Definition at line 78 of file SExposedVideoData.h.

unsigned long irr::video::SExposedVideoData::X11Window

Definition at line 80 of file SExposedVideoData.h.

The documentation for this struct was generated from the following file:

- SExposedVideoData.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:10 2010 by Doxygen (1.6.2)